# Reverse interview

This is a list of questions which may be interesting to a tech job applicant.
The points are not ordered and many may not apply to a given position, or work type.
It was started as my personal list of questions, which grew over time to include both things I'd like to see more of and red flags which I'd like to avoid.
I've also noticed how few questions were asked by people I interviewed and I think those were missed opportunities.

If you asked something not listed here, send in a PR.

## Expected usage

- Check which questions are interesting for you specifically
- Check which answers you can find yourself online
- Otherwise ask

Definitely don't try to ask everything from the list.

Remember that things tend to be fluid, re-organizations happens often.
Having a bug tracking system doesn't make bug handling efficient and CI/CD doesn't mean your time to deliver is necessarily short. 

# The Role

- What's the on-call plan/schedule? (what's the pay for standby and call-out)
- What are the tasks I would do on a usual day?
- What's the junior/senior balance of the team? (and are there plans to change it)
- What does the onboarding look like?
- How much independent action vs working off a provided list is expected?
- What are the expected/core work hours?

# Tech

- What are the usual stacks used at the company?
- How do you use source control?
- How do you test code?
- How do you track bugs?
- How do you integrate and deploy changes? Is it CI/CD?
- Is your infrastructure setup under version control / available as code?
- What's the workflow from the planning to the finished task?
- How do you prepare for disaster recovery?
- Is there a standardised development environment? Is it enforced?
- How quickly can you setup a new local test environment for the product? (minutes / hours / days)
- How quickly can you respond to security issues in the code or dependencies?
- Are all developers allowed to have local admin access of their computers?

# The Team

- How is the work organised?
- How does the intra/inter-team communication typically work?
- How are differences of opinions resolved?
- Who sets the priorities / schedule?
- What happens after pushback? ("this can't be done in the projected time")
- What kind of meetings happen every week?
- What's the product/service schedule? (n-weekly releases / continuous deployment / multiple release streams / ...)
- What happens after production incidents? Is there a culture of blameless analysis?
- What are some ongoing challenges the team is experiencing that you are yet to resolve?

# The Company

- Is there a conference/travel budget and what are the rules to use it?
- What's the promotion process? How are requirements / expectations communicated?
- Is there a separate tech and management career path?
- How much annual / personal / sick / parental / unpaid leave is available?
- What's the status of / view on diverse hiring?
- Are there any company-wide resources for learning available, like ebooks subscriptions, or online courses?
- Is there a budget for getting certifications?
- What's the maturity stage? (early finding direction / feature work / maintenance / ...)
- Can I contribute to FOSS projects? Are there any approvals needed?
- Are there any non-compete or non-disclosure agreements I'll be asked to sign?

# The Business

- Are you profitable?
- If not, how long is your runway?
- Where does the funding come from and who influences the high level plan/direction?
- How do you make money?
- What's preventing you from making more money?

# Remote Work

- What's the ratio of remote to office workers?
- Does the company provide hardware and what's the refresh schedule?
- Are extra accessories/furniture possible to buy through the company? Is there a budget for them?
- How often are office visits expected?
- Are the office meeting rooms always prepared for video conferences?

# Office Work

- What's the office layout? (open plan / cubicles / offices)
- Is there a support / marketing / other call-heavy team close to my new team?

# Other resources

- Find more inspiration for questions in the [Joel Test](https://www.joelonsoftware.com/2000/08/09/the-joel-test-12-steps-to-better-code/)
